> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/safetyscores.md).

# SafetyScores

## SafetyScores API

### `getAttentionScore()`

> ```java
> @Nullable Float getAttentionScore()
> ```
>
> Returns the attention score, which is between 0 and 1, where 1 is the perfect score.

### `getCallWhileMovingScore()`

> ```java
> @Nullable Float getCallWhileMovingScore()
> ```
>
> Returns the call while moving score, which is between 0 and 1, where 1 is the perfect score.

### `getFocusScore()`

> ```java
> @Nullable Float getFocusScore()
> ```
>
> Returns the focused driving score, which is between 0 and 1, where 1 is the perfect score.

### `getLegalScore()`

> ```java
> @Nullable Float getLegalScore()
> ```
>
> Returns the legal driving (speeding) score, which is between 0 and 1, where 1 is the perfect score.

### `getOverallScore()`

> ```java
> @Nullable Float getOverallScore()
> ```
>
> Returns the overall driving score, which is between 0 and 1, where 1 is the perfect score. This score is computed using the other safety scores.

### `getSmoothScore()`

> ```java
> @Nullable Float getSmoothScore()
> ```
>
> Returns the smooth driving score, which is between 0 and 1, where 1 is the perfect score.

### `getWrongWayDrivingScore()`

> ```java
> @Nullable Float getWrongWayDrivingScore()
> ```
>
> Returns the wrong way driving score, which is between 0 and 1, where 1 is the perfect score.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/safetyscores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
